import { Component, Input } from '@angular/core';
import { CommonModule } from '@angular/common';
import { HousingLocation } from '../housinglocation';
import { RouterModule } from '@angular/router';

@Component({
  selector: 'app-housing-location',
  standalone: true,
  imports: [CommonModule, RouterModule],
  templateUrl: './housing-location.component.html',
  styleUrls: ['./housing-location.component.css']
})
export class HousingLocationComponent {
  /* Olio, jossa ovat asunnon tiedot tulee sisään tähän komponenttiin.
     Huutomerkki estää virheilmoituksen siitä, että oliolle ei anneta 
     oletusarvoa konstruktorissa.
  */
  @Input() housingLocation!: HousingLocation;

}
